Ticket #81 (closed bug: wontfix)

Opened 13 years ago

Last modified 10 years ago

library shutdown causes crash

Reported by: ppalmers Assigned to:
Priority: major Milestone:
Component: Version: FreeBoB 1.0.3
Keywords: Cc:
The device the bug applies to:

Description

as reported by nedko:

(gdb) bt
#0  DebugModuleManager::unregisterModule (this=0x8077350, debugModule=@0xb7abd9e4) at debugmodule/debugmodule.cpp:176
#1  0xb7aa9729 in ~DebugModule (this=0xb7abd9e4) at debugmodule/debugmodule.cpp:56
#2  0xb7a77cf0 in __tcf_1 () at configrom.cpp:31
#3  0xb7cfc0a8 in __cxa_finalize (d=0xb7abd880) at cxa_finalize.c:56
#4  0xb7a77c03 in __do_global_dtors_aux () from /usr/lib/libfreebob.so.0
#5  0xb7aa9e6c in _fini () from /usr/lib/libfreebob.so.0
#6  0xb7f12b81 in _dl_close_worker (map=0x8073700) at dl-close.c:271
#7  0xb7f13443 in _dl_close (_map=0x8073700) at dl-close.c:729
#8  0xb7e53c93 in dlclose_doit (handle=0x8073700) at dlclose.c:37
#9  0xb7f0e126 in _dl_catch_error (objname=0x806fa44, errstring=0x806fa48, mallocedp=0x806fa40, operate=0xb7e53c70 <dlclose_doit>, args=0x8073700)
    at dl-error.c:178
#10 0xb7e5406c in _dlerror_run (operate=0xb7e53c70 <dlclose_doit>, args=<value optimized out>) at dlerror.c:164
#11 0xb7e53ccb in __dlclose (handle=0x8073700) at dlclose.c:48
#12 0xb7eac614 in jackctl_load_driver_descriptor (server_ptr=0x8071d48, driver_ptr=0x806fa20) at common/JackControl.cpp:292
#13 0xb7eac84d in jack_drivers_load (server_ptr=0x8071d48) at common/JackControl.cpp:376
#14 0xb7ead135 in jackctl_server_create (name=0x0) at common/JackControl.cpp:618
#15 0x0804c1da in jack_controller_create (connection=0x806ffa0) at linux/dbus/controller.c:262
#16 0x0804bc07 in main (argc=2, argv=0xbfbcc384) at linux/dbus/jackdbus.c:816
# gdb linux/jackd
GNU gdb 6.7.1
Copyright (C) 2007 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-pc-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) r -d alsa -d hw:1
Starting program: /home/nedko/jack2-control/linux/jackd -d alsa -d hw:1
[Thread debugging using libthread_db enabled]
[New Thread 0xb76bc6d0 (LWP 28940)]
jackdmp 0.71
Copyright 2001-2005 Paul Davis and others.
Copyright 2004-2008 Grame.
jackdmp comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
[New Thread 0xb6330b90 (LWP 28943)]
[New Thread 0xb5b2fb90 (LWP 28944)]
ALSA: final selected sample format for capture: 16bit little-endian
ALSA: use 2 periods for capture
ALSA: final selected sample format for playback: 16bit little-endian
ALSA: use 2 periods for playback
[New Thread 0xb5315b90 (LWP 28945)]
jack main caught signal 2
[Thread 0xb5315b90 (LWP 28945) exited]
[Thread 0xb5b2fb90 (LWP 28944) exited]
[Thread 0xb6330b90 (LWP 28943) exited]
 
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb76bc6d0 (LWP 28940)]
DebugModuleManager::unregisterModule (this=0x804c278, debugModule=@0xb7e2d9e4) at debugmodule/debugmodule.cpp:176
176     debugmodule/debugmodule.cpp: No such file or directory.
        in debugmodule/debugmodule.cpp
(gdb) bt
#0  DebugModuleManager::unregisterModule (this=0x804c278, debugModule=@0xb7e2d9e4) at debugmodule/debugmodule.cpp:176
#1  0xb7e19729 in ~DebugModule (this=0xb7e2d9e4) at debugmodule/debugmodule.cpp:56
#2  0xb7de7cf0 in __tcf_1 () at configrom.cpp:31
#3  0xb79c30a8 in __cxa_finalize (d=0xb7e2d880) at cxa_finalize.c:56
#4  0xb7de7c03 in __do_global_dtors_aux () from /usr/lib/libfreebob.so.0
#5  0xb7e19e6c in _fini () from /usr/lib/libfreebob.so.0
#6  0xb7fb4a7d in _dl_fini () at dl-fini.c:248
#7  0xb79c2d9a in *__GI_exit (status=1) at exit.c:75
#8  0xb79ad38c in __libc_start_main (main=0x80496bc <main>, argc=5, ubp_av=0xbfbcc334, init=0x804a010 <__libc_csu_init>, fini=0x804a000 <__libc_csu_fini>, 
    rtld_fini=0xb7fb4890 <_dl_fini>, stack_end=0xbfbcc32c) at libc-start.c:252
#9  0x080491d1 in _start ()
(gdb)

Change History

04/22/08 09:36:49 changed by ppalmers

  • version set to FreeBoB 1.0.3.
  • milestone deleted.

The backtrace indicates that this is a freebob bug, not ffado.

11/02/09 02:37:33 changed by jwoithe

Should this be closed and set to "wontfix"? Or is the intention to address this in freebob 1.0.x at some point?

05/03/10 16:15:23 changed by arnonym

  • status changed from new to closed.
  • resolution set to wontfix.

its so old, it doesn't even make sense to shave its beard...